Package ru.bitel.bgbilling.modules.wm.server.bean

# Class WMRequest

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.wm.server.bean.WMRequest

public final class WMRequest extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WMRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkHash()`
  `boolean`
  `checkRecieverPurse()`
  `String`
  `getLmi_LMI_PREREQUEST()`
  `String`
  `getLmi_PAYEE_PURSE()`
  `String`
  `getLmi_PAYER_PURSE()`
  `String`
  `getLmi_PAYER_WM()`
  `String`
  `getLmi_SECRETKEY()`
  `String`
  `getLmi_SYS_INVS_NO()`
  `String`
  `getLmi_SYS_TRANS_DATE()`
  `String`
  `getLmi_SYS_TRANS_NO()`
  `int`
  `getMode()`
  `BigDecimal`
  `getPaymentAmount()`
  `int`
  `getPaymentNo()`
  `boolean`
  `isPrerequest()`
  `static WMRequest`
  `loadRequest(Preferences moduleSetup, jakarta.servlet.http.HttpServletRequest request)`
  `void`
  `setMode(int mode)`
  `void`
  `setPaymentAmount(BigDecimal paymentAmount)`
  `void`
  `setPaymentNo(int paymentNo)`
  `void`
  `setPrerequest(boolean prerequest)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WMRequest

    public WMRequest()

- ## Method Details

  - ### getLmi_LMI_PREREQUEST

    public String getLmi_LMI_PREREQUEST()

  - ### getLmi_PAYEE_PURSE

    public String getLmi_PAYEE_PURSE()

  - ### getLmi_PAYER_PURSE

    public String getLmi_PAYER_PURSE()

  - ### getLmi_PAYER_WM

    public String getLmi_PAYER_WM()

  - ### getLmi_SECRETKEY

    public String getLmi_SECRETKEY()

  - ### getLmi_SYS_INVS_NO

    public String getLmi_SYS_INVS_NO()

  - ### getLmi_SYS_TRANS_DATE

    public String getLmi_SYS_TRANS_DATE()

  - ### getLmi_SYS_TRANS_NO

    public String getLmi_SYS_TRANS_NO()

  - ### loadRequest

    public static WMRequest loadRequest(Preferences moduleSetup, jakarta.servlet.http.HttpServletRequest request)

  - ### checkHash

    public boolean checkHash()

  - ### checkRecieverPurse

    public boolean checkRecieverPurse()

  - ### isPrerequest

    public boolean isPrerequest()

  - ### setPrerequest

    public void setPrerequest(boolean prerequest)

  - ### getMode

    public int getMode()

  - ### setMode

    public void setMode(int mode)

  - ### getPaymentAmount

    public BigDecimal getPaymentAmount()

  - ### setPaymentAmount

    public void setPaymentAmount(BigDecimal paymentAmount)

  - ### getPaymentNo

    public int getPaymentNo()

  - ### setPaymentNo

    public void setPaymentNo(int paymentNo)